-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 12, 2023 at 07:44 PM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.0.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `car_insurance`
--

-- --------------------------------------------------------

--
-- Table structure for table `accident`
--

CREATE TABLE `accident` (
  `report_number` varchar(10) NOT NULL,
  `date` date DEFAULT NULL,
  `location` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `accident`
--

INSERT INTO `accident` (`report_number`, `date`, `location`) VALUES
('AR2197', '2012-05-15', 'City A'),
('AR2198', '2012-07-10', 'City B'),
('AR2199', '2012-09-20', 'City C');

-- --------------------------------------------------------

--
-- Table structure for table `car`
--

CREATE TABLE `car` (
  `license` varchar(10) NOT NULL,
  `model` varchar(100) DEFAULT NULL,
  `year` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `car`
--

INSERT INTO `car` (`license`, `model`, `year`) VALUES
('DHAKA1000', 'Toyota', 2010),
('DHAKA2000', 'Toyota', 2012),
('DHAKA3000', 'Honda', 2015);

-- --------------------------------------------------------

--
-- Table structure for table `owns`
--

CREATE TABLE `owns` (
  `driver_id` int(11) NOT NULL,
  `license` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `owns`
--

INSERT INTO `owns` (`driver_id`, `license`) VALUES
(1, 'DHAKA1000'),
(2, 'DHAKA2000'),
(3, 'DHAKA3000');

-- --------------------------------------------------------

--
-- Table structure for table `participatd`
--

CREATE TABLE `participatd` (
  `driver_id` int(11) NOT NULL,
  `car` varchar(10) NOT NULL,
  `report_number` varchar(10) NOT NULL,
  `damage_amount` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `participatd`
--

INSERT INTO `participatd` (`driver_id`, `car`, `report_number`, `damage_amount`) VALUES
(1, 'DHAKA1000', 'AR2198', 1000.00),
(2, 'DHAKA2000', 'AR2197', 2000.00),
(3, 'DHAKA3000', 'AR2199', 3000.00);

-- --------------------------------------------------------

--
-- Table structure for table `person`
--

CREATE TABLE `person` (
  `driver_id` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `address` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `person`
--

INSERT INTO `person` (`driver_id`, `name`, `address`) VALUES
(1, 'Simanto', '123 Main St'),
(2, 'John Doe', '456 Elm St'),
(3, 'Jane Smith', '789 Oak St');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `accident`
--
ALTER TABLE `accident`
  ADD PRIMARY KEY (`report_number`);

--
-- Indexes for table `car`
--
ALTER TABLE `car`
  ADD PRIMARY KEY (`license`);

--
-- Indexes for table `owns`
--
ALTER TABLE `owns`
  ADD PRIMARY KEY (`driver_id`,`license`),
  ADD KEY `license` (`license`);

--
-- Indexes for table `participatd`
--
ALTER TABLE `participatd`
  ADD PRIMARY KEY (`driver_id`,`car`,`report_number`),
  ADD KEY `car` (`car`),
  ADD KEY `report_number` (`report_number`);

--
-- Indexes for table `person`
--
ALTER TABLE `person`
  ADD PRIMARY KEY (`driver_id`);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `owns`
--
ALTER TABLE `owns`
  ADD CONSTRAINT `owns_ibfk_1` FOREIGN KEY (`driver_id`) REFERENCES `person` (`driver_id`),
  ADD CONSTRAINT `owns_ibfk_2` FOREIGN KEY (`license`) REFERENCES `car` (`license`);

--
-- Constraints for table `participatd`
--
ALTER TABLE `participatd`
  ADD CONSTRAINT `participatd_ibfk_1` FOREIGN KEY (`driver_id`) REFERENCES `person` (`driver_id`),
  ADD CONSTRAINT `participatd_ibfk_2` FOREIGN KEY (`car`) REFERENCES `car` (`license`),
  ADD CONSTRAINT `participatd_ibfk_3` FOREIGN KEY (`report_number`) REFERENCES `accident` (`report_number`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
